Public Member Functions | Protected Member Functions | Related Functions

# Clutter::InputDevice Class Reference

Inherits Glib::Object.

Collaboration diagram for Clutter::InputDevice:
[legend]

List of all members.

## Public Member Functions
virtual | ~InputDevice ()
ClutterInputDevice* | gobj ()
| Provides access to the underlying C GObject.
const ClutterInputDevice* | gobj () const
| Provides access to the underlying C GObject.
ClutterInputDevice* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
int | get_device_id () const
| Retrieves the unique identifier of device.
InputDeviceType | get_device_type () const
| Retrieves the type of device.
Glib::ustring | get_device_name () const
| Retrieves the name of the device.
void | get_device_coords (int& x, int& y) const
| Retrieves the latest coordinates of the pointer of device.
Glib::RefPtr< Actor > | get_pointer_actor ()
| Retrieves the Clutter::Actor underneath the pointer of device.
Glib::RefPtr< const Actor > | get_pointer_actor () const
| Retrieves the Clutter::Actor underneath the pointer of device.
Glib::RefPtr< Stage > | get_pointer_stage ()
| Retrieves the Clutter::Stage underneath the pointer of device.
Glib::RefPtr< const Stage > | get_pointer_stage () const
| Retrieves the Clutter::Stage underneath the pointer of device.
Glib::PropertyProxy_ReadOnly < InputDeviceType > | property_device_type () const
| The type of the device.
Glib::PropertyProxy_ReadOnly< int > | property_id () const
| Unique identifier of the device.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The name of the device.
## Protected Member Functions
| InputDevice ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Clutter::InputDevice > | wrap (ClutterInputDevice* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::InputDevice::~InputDevice | ( |  | ) | `[virtual]`

Clutter::InputDevice::InputDevice | ( |  | ) | `[protected]`

## Member Function Documentation

void Clutter::InputDevice::get_device_coords | ( | int & | x,
|  | int & | y |
| ) |  |  | const

Retrieves the latest coordinates of the pointer of device.

Since cluttermm 1.2:

Parameters:

  | x | Return location for the X coordinate.
  | y | Return location for the Y coordinate.

int Clutter::InputDevice::get_device_id | ( |  | ) | const

Retrieves the unique identifier of device.

Since cluttermm 1.0:

Returns:
  The identifier of the device.

Glib::ustring Clutter::InputDevice::get_device_name | ( |  | ) | const

Retrieves the name of the device.

Since cluttermm 1.2:

Returns:
  The name of the device, or `0`. The returned string is owned by the Clutter::InputDevice and should never be modified or freed.

InputDeviceType Clutter::InputDevice::get_device_type | ( |  | ) | const

Retrieves the type of device.

Since cluttermm 1.0:

Returns:
  The type of the device.

Glib::RefPtr<Actor> Clutter::InputDevice::get_pointer_actor | ( |  | ) |

Retrieves the Clutter::Actor underneath the pointer of device.

Since cluttermm 1.2:

Returns:
  A pointer to the Clutter::Actor or `0`.

Glib::RefPtr<const Actor> Clutter::InputDevice::get_pointer_actor | ( |  | ) | const

Retrieves the Clutter::Actor underneath the pointer of device.

Since cluttermm 1.2:

Returns:
  A pointer to the Clutter::Actor or `0`.

Glib::RefPtr<const Stage> Clutter::InputDevice::get_pointer_stage | ( |  | ) | const

Retrieves the Clutter::Stage underneath the pointer of device.

Since cluttermm 1.2:

Returns:
  A pointer to the Clutter::Stage or `0`.

Glib::RefPtr<Stage> Clutter::InputDevice::get_pointer_stage | ( |  | ) |

Retrieves the Clutter::Stage underneath the pointer of device.

Since cluttermm 1.2:

Returns:
  A pointer to the Clutter::Stage or `0`.

const ClutterInputDevice* Clutter::InputDevice::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterInputDevice* Clutter::InputDevice::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterInputDevice* Clutter::InputDevice::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly<InputDeviceType> Clutter::InputDevice::property_device_type | ( |  | ) | const

The type of the device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::InputDevice::property_id | ( |  | ) | const

Unique identifier of the device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Clutter::InputDevice::property_name | ( |  | ) | const

The name of the device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::InputDevice > wrap | ( | ClutterInputDevice * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/input-device.h